Subject: bug#37713: closed (Re: bug#37713: Quitting from the frame/window menu inverts my mode-line colors)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 13 Oct 2019 15:46:02 +0000

Your bug report

#37713: Quitting from the frame/window menu inverts my mode-line colors

which was filed against the hyperbole package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37713: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37713
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37713: Quitting from the frame/window menu inverts my mode-line colors
From: Robert Weiner <[email-masked]>
To: "Kevin J. McCarthy" <[email-masked]>
Cc: [email-masked]
Date: Sun, 13 Oct 2019 11:44:36 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

This is resolved and now closed.

On Sat, Oct 12, 2019 at 8:08 PM Kevin J. McCarthy <[email-masked]> wrote:

> On Sat, Oct 12, 2019 at 11:56:55AM -0400, Robert Weiner wrote:
> >The desired behavior is that the modeline colors invert when you enter
> >HyControl.  Do you see any change then or only upon exit from HyControl?
>
> I think this bug make have been from my color theme.  I updated the
> theme last night from melpa, and my problem has gone away: I see the
> color invert upon entering and it reverts properly when exiting.  Sorry
> about that!
>
>
>
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole
>

Subject: Quitting from the frame/window menu inverts my mode-line colors
From: "Kevin J. McCarthy" <[email-masked]>
To: [email-masked]
Date: Sat, 12 Oct 2019 15:15:43 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I use:  Editor:      GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.4)

         Hyperbole:   7.0.6
         Sys Type:    x86_64-pc-linux-gnu
         OS Type:     gnu/linux
         Window Sys:  x
         News Reader: Gnus v5.13

I use the color-theme-sanityinc-tomorrow theme, with a custom modeline 
color for the active window:
  (custom-set-faces
    ...
    '(mode-line ((t (:background "dark cyan" :foreground "#c5c8c6" :weight normal))))
    ...)

Also, I use the exwm window manager, in case it is relevant.

When I enter the HyControl windows or frame menu via C-h hsf or C-h hsw 
then quit out via "q", my modeline colors for the active window are 
inverted.  If I reenter the windows or frame menu and quit again, they 
are set back to normal.

Thank you.

-Kevin